EntityJSEvents.addGoals('eternal_starlight:lonestar_skeleton', (event) => {
  event.arbitraryGoal(1, (entity) => {
    let spellGoal = new WizardAttackGoal(entity, 1, 30).setSpells(
      [Spell.of('irons_spellbooks:ice_spikes')], // Attack spells
      [Spell.of('irons_spellbooks:ray_of_frost')], // Defense spells
      [Spell.of('irons_spellbooks:frost_step')], // Movement spells
      [] // Support spells
    );
    return spellGoal;
  });
});
